Bug 1021725 - BUG: unable to handle kernel NULL pointer dereference [NEEDINFO]
BUG: unable to handle kernel NULL pointer dereference
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-21 18:38 EDT by Cesar Eduardo Barros
Modified: 2014-03-10 10:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:41:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Cesar Eduardo Barros 2013-10-21 18:38:10 EDT
Description of problem:

This Oops happened while loading the Java applet at https://www2.bancobrasil.com.br/. The java process got stuck at around 195% CPU, and the system fan spun up faster and faster (indicating a real increase in power used by the CPU). I shut down the system; systemd indicated it had to send SIGKILL to java, and even then dracut got stuck before the end of the shutdown, so I had to hold the power button to force power off the laptop.

Abrt refused to generate a report because the second Oops had a GD taint.

Version-Release number of selected component (if applicable):

kernel-3.11.4-201.fc19.x86_64
java-1.7.0-openjdk-1.7.0.60-2.4.3.0.fc19.x86_64

How reproducible:

I loaded the same applet several times before in the same browsing session, so not easily reproducible.

Additional info:

Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: IP: [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: PGD 91d3067 PUD 6d9f0067 PMD 0 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Oops: 0000 [#1] SMP 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangl
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  microcode snd_page_alloc snd_timer snd soundcore i2c_i801 acpi_cpufreq mperf uinput dm_crypt i915 crc32c_intel i2c_algo_bit drm_kms_helper drm i2c_core video ums_realtek usb_storage
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CPU: 2 PID: 12572 Comm: java Not tainted 3.11.4-201.fc19.x86_64 #1
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Hardware name: Dell Inc. Inspiron N4010/07NTDG, BIOS A05 06/21/2010
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: task: ffff8800b48016e0 ti: ffff88006d888000 task.ti: ffff88006d888000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RIP: 0010:[<ffffffff811984d4>]  [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RSP: 0000:ffff88006d889d68  EFLAGS: 00010246
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RAX: 0000000000000000 RBX: ffff880007ffce00 RCX: 0000000000380337
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RDX: 0000000000380336 RSI: 00000000000000d0 RDI: ffff880133401300
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RBP: ffff88006d889dd8 R08: 0000000000016fe0 R09: ffff880133401300
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: R10: ffffffff811984bb R11: 0000000000000000 R12: ffff88004bd95b80
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: R13: ffff88011caf3000 R14: 0000000000000000 R15: 0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: FS:  00007f4350683700(0000) GS:ffff880137d00000(0000) knlGS:0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CR2: 0000000000000000 CR3: 000000006eb61000 CR4: 00000000000007e0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Stack:
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  ffffffff811446aa 00007f4342013cf0 00007f4342013cf0 ffff8800aca5a0c0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  00007f434315bcf0 ffff88011caf3000 80000001012000a5 00007f4343000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  ffffea0004048000 ffff88004bd95b80 00003ffffffff000 00000000000007f0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Call Trace:
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff811446aa>] ? __free_pages+0x4a/0x80
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff81166d16>] handle_mm_fault+0x186/0x660
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff81651f06>] __do_page_fault+0x146/0x510
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff816522de>] do_page_fault+0xe/0x10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff8164e858>] page_fault+0x28/0x30
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Code: 00 10 00 00 be d0 00 00 00 4c 89 4d b0 e8 a5 61 ff ff 48 85 c0 49 89 c5 48 89 45 b8 0f 84 5a 05 00 00 31 c0 4c 89 75 a8 41 89 c6 <4d> 8b 07 48 8b 4d b0 31 f6 4c 89 e2 bf da 00 82 00 49 c1 e8 37 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RIP  [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  RSP <ffff88006d889d68>
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CR2: 0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: ---[ end trace b1ded6976c8b260c ]---
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: BUG: unable to handle kernel NULL pointer dereference at           (null)
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: IP: [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: PGD 91d3067 PUD 6d9f0067 PMD 0 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Oops: 0000 [#2] SMP 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangl
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  microcode snd_page_alloc snd_timer snd soundcore i2c_i801 acpi_cpufreq mperf uinput dm_crypt i915 crc32c_intel i2c_algo_bit drm_kms_helper drm i2c_core video ums_realtek usb_storage
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CPU: 0 PID: 12571 Comm: java Tainted: G      D      3.11.4-201.fc19.x86_64 #1
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Hardware name: Dell Inc. Inspiron N4010/07NTDG, BIOS A05 06/21/2010
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: task: ffff88011c580000 ti: ffff8800176b2000 task.ti: ffff8800176b2000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RIP: 0010:[<ffffffff811984d4>]  [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RSP: 0018:ffff8800176b3d68  EFLAGS: 00010246
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RAX: 0000000000000000 RBX: ffff880007ffce00 RCX: 00000000004e59c1
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RDX: 00000000004e59c0 RSI: 00000000000000d0 RDI: ffff880133401300
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RBP: ffff8800176b3dd8 R08: 0000000000016fe0 R09: ffff880133401300
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: R10: ffffffff811984bb R11: 0000000000000000 R12: ffff88004bd95b80
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: R13: ffff8801247a9000 R14: 0000000000000000 R15: 0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: FS:  00007f4350784700(0000) GS:ffff880137c00000(0000) knlGS:0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CR2: 0000000000000000 CR3: 000000006eb61000 CR4: 00000000000007f0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Stack:
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  ffff880007ffce00 00007f4343000000 0000000000000000 ffff8800aca5a0c0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  00007f43431548f8 ffff8801247a9000 80000001012000a5 00007f4343000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  ffffea0004048000 ffff88004bd95b80 00003ffffffff000 00000000000007f0
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Call Trace:
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff81166d16>] handle_mm_fault+0x186/0x660
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff81651f06>] __do_page_fault+0x146/0x510
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff816522de>] do_page_fault+0xe/0x10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  [<ffffffff8164e858>] page_fault+0x28/0x30
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: Code: 00 10 00 00 be d0 00 00 00 4c 89 4d b0 e8 a5 61 ff ff 48 85 c0 49 89 c5 48 89 45 b8 0f 84 5a 05 00 00 31 c0 4c 89 75 a8 41 89 c6 <4d> 8b 07 48 8b 4d b0 31 f6 4c 89 e2 bf da 00 82 00 49 c1 e8 37 
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: RIP  [<ffffffff811984d4>] do_huge_pmd_wp_page+0x664/0xc10
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel:  RSP <ffff8800176b3d68>
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: CR2: 0000000000000000
Out 21 20:02:25 cesarb-inspiron.home.cesarb.net kernel: ---[ end trace b1ded6976c8b260d ]---
Comment 1 Justin M. Forbes 2014-01-03 17:04:55 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-10 10:41:00 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.